<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_152) on Tue Dec 04 18:10:19 CST 2018 -->
<title>Uses of Class projectx.engine.managers.entities.creatures.Creature</title>
<meta name="date" content="2018-12-04">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class projectx.engine.managers.entities.creatures.Creature";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?projectx/engine/managers/entities/creatures/class-use/Creature.html" target="_top">Frames</a></li>
<li><a href="Creature.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class projectx.engine.managers.entities.creatures.Creature" class="title">Uses of Class<br>projectx.engine.managers.entities.creatures.Creature</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.controls.ai">projectx.engine.controls.ai</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.controls.player">projectx.engine.controls.player</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities">projectx.engine.managers.entities</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.managers.entities.creatures">projectx.engine.managers.entities.creatures</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.engine.utils">projectx.engine.utils</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#projectx.engine.worlds">projectx.engine.worlds</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#projectx.game.client">projectx.game.client</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="projectx.engine.controls.ai">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a> in <a href="../../../../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a> with parameters of type <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AI.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/controls/ai/AI.html#attack-projectx.engine.managers.entities.creatures.Creature-">attack</a></span>(<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;target)</code>
<div class="block">This method is used by an attacking creature to chased down, face, and attack a target creature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AI.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/controls/ai/AI.html#chaseEnemy-projectx.engine.managers.entities.creatures.Creature-int-">chaseEnemy</a></span>(<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;seenEnemy,
          int&nbsp;maxDistance)</code>
<div class="block">This method sets the creatures speed to 1.5 and chases down a given seen player</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../projectx/engine/controls/ai/package-summary.html">projectx.engine.controls.ai</a> with parameters of type <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/controls/ai/AI.html#AI-projectx.engine.Handler-projectx.engine.managers.entities.creatures.Creature-">AI</a></span>(<a href="../../../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
  <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;creature)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.controls.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a> in <a href="../../../../../../projectx/engine/controls/player/package-summary.html">projectx.engine.controls.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../projectx/engine/controls/player/package-summary.html">projectx.engine.controls.player</a> with parameters of type <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/controls/player/Controls.html#Controls-projectx.engine.Handler-projectx.engine.managers.entities.creatures.Creature-">Controls</a></span>(<a href="../../../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler,
        <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;creatrue)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a> in <a href="../../../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> that return types with arguments of type <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">EntityManager.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/managers/entities/EntityManager.html#getCreatures--">getCreatures</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> with parameters of type <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EntityManager.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/managers/entities/EntityManager.html#addEntity-projectx.engine.managers.entities.creatures.Creature-">addEntity</a></span>(<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;e)</code>
<div class="block">This method adds an entity to the entities ArrayList and the creatures ArrayList to be stored.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EntityManager.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/managers/entities/EntityManager.html#recieveCreatures-projectx.engine.managers.entities.creatures.Creature:A-">recieveCreatures</a></span>(<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>[]&nbsp;creatures)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EntityManager.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/managers/entities/EntityManager.html#updateCreature-int-projectx.engine.managers.entities.creatures.Creature-">updateCreature</a></span>(int&nbsp;index,
              <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;c)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../projectx/engine/managers/entities/package-summary.html">projectx.engine.managers.entities</a> with type arguments of type <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">EntityManager.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/managers/entities/EntityManager.html#setCreatures-java.util.ArrayList-">setCreatures</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/ArrayList.html?is-external=true" title="class or interface in java.util">ArrayList</a>&lt;<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&gt;&nbsp;creatures)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.managers.entities.creatures">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a> in <a href="../../../../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../projectx/engine/managers/entities/creatures/package-summary.html">projectx.engine.managers.entities.creatures</a> with parameters of type <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Creature.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html#equalsBirthNano-projectx.engine.managers.entities.creatures.Creature-">equalsBirthNano</a></span>(<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;creature)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.utils">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a> in <a href="../../../../../../projectx/engine/utils/package-summary.html">projectx.engine.utils</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../projectx/engine/utils/package-summary.html">projectx.engine.utils</a> that return <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></code></td>
<td class="colLast"><span class="typeNameLabel">Convert.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/utils/Convert.html#byteArrayToCreature-byte:A-projectx.engine.Handler-">byteArrayToCreature</a></span>(byte[]&nbsp;a,
                   <a href="../../../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">Convert.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/utils/Convert.html#byteArrayToCreatureArray-byte:A-projectx.engine.Handler-">byteArrayToCreatureArray</a></span>(byte[]&nbsp;b,
                        <a href="../../../../../../projectx/engine/Handler.html" title="class in projectx.engine">Handler</a>&nbsp;handler)</code>
<div class="block">To Be finished later</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../projectx/engine/utils/package-summary.html">projectx.engine.utils</a> with parameters of type <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">Convert.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/utils/Convert.html#creatureArrayToByteArray-projectx.engine.managers.entities.creatures.Creature:A-">creatureArrayToByteArray</a></span>(<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>[]&nbsp;creatures)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">Convert.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/utils/Convert.html#creatureToByteArray-projectx.engine.managers.entities.creatures.Creature-">creatureToByteArray</a></span>(<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;c)</code>
<div class="block">Mitchell will make this better</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><span class="typeNameLabel">Convert.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/utils/Convert.html#creatureToString-projectx.engine.managers.entities.creatures.Creature-">creatureToString</a></span>(<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>&nbsp;c)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.engine.worlds">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a> in <a href="../../../../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../projectx/engine/worlds/package-summary.html">projectx.engine.worlds</a> that return <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></code></td>
<td class="colLast"><span class="typeNameLabel">World.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/engine/worlds/World.html#getSelf--">getSelf</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="projectx.game.client">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a> in <a href="../../../../../../projectx/game/client/package-summary.html">projectx.game.client</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../projectx/game/client/package-summary.html">projectx.game.client</a> with parameters of type <a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DataProtocol.</span><code><span class="memberNameLink"><a href="../../../../../../projectx/game/client/DataProtocol.html#sendCreatureArray-projectx.engine.managers.entities.creatures.Creature:A-">sendCreatureArray</a></span>(<a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Creature</a>[]&nbsp;creatures)</code>
<div class="block">Converts the given Creature array to a JSON object and sends the serialized version over the client</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../projectx/engine/managers/entities/creatures/Creature.html" title="class in projectx.engine.managers.entities.creatures">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?projectx/engine/managers/entities/creatures/class-use/Creature.html" target="_top">Frames</a></li>
<li><a href="Creature.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
